"use strict";
const createProxy = function () {
    const target = function () { return createProxy(); };
    return new Proxy(target, {
        set(trapTarget, key, value, receiver) {
            target[key] = value;
            return Reflect.set(trapTarget, key, value, receiver);
        },
        get(trapTarget, key, receiver) {
            return target[key] || (key === "__ko_proto__" ? undefined : target[key] = createProxy());
        },
        has(trapTarget, key) {
            return target[key] || key !== "__ko_proto__";
        }
    });
};
module.exports = createProxy();
//# sourceMappingURL=universalMock.js.map